Bug 443177 - Review Request: html2ps - HTML to PostScript converter
Review Request: html2ps - HTML to PostScript converter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 442953
  Show dependency treegraph
 
Reported: 2008-04-18 18:53 EDT by Patrice Dumas
Modified: 2010-09-05 13:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-12 06:25:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dev: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2008-04-18 18:53:34 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/html2ps.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/html2ps-1.0-0.1.b5.fc9.noarch.rpm
Description: 
An HTML to PostScript converter written in Perl.
* Many possibilities to control the appearance.
* Support for processing multiple documents.
* A table of contents can be generated.
* Configurable page headers/footers.
* Automatic hyphenation and text justification can be selected.
Comment 1 Nigel Jones 2008-04-18 20:25:57 EDT
Hi, I don't think I should do a formal review yet, but I'll take a look soon if 
no one else does.  (I used to maintain this on Debian a few years ago)

Also, unless I'm mistaken there are still quite a few bugs in html2ps.
Comment 2 Patrice Dumas 2008-04-19 05:22:16 EDT
Indeed, there is no utf8 support and quite a number of bugs opened in 
debian. I will have a look at time permits, but I don't think it is 
blocking.
Comment 3 Nigel Jones 2008-04-20 19:55:58 EDT
(In reply to comment #0)
> SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/html2ps-1.0-
0.1.b5.fc9.noarch.rpm
That looks like the actual RPM not the SRPM :)

(In reply to comment #1)
> Hi, I don't think I should do a formal review yet
Okay, turns out I'm not as rusty as I thought I was so I'll be happy to review!

(In reply to comment #2)
> Indeed, there is no utf8 support and quite a number of bugs opened in 
> debian. I will have a look at time permits, but I don't think it is 
> blocking.
I agree 100% was just making sure you were aware of it.

Initial look at spec file seems not bad.

(On a side note, could you maybe consider reviewing Bug443301 in return?)
Comment 4 Patrice Dumas 2008-04-22 04:51:27 EDT
Indeed, I did it wrong, the srpm is now at:
http://www.environnement.ens.fr/perso/dumas/fc-srpms/html2ps-1.0-0.1.b5.fc9.src.rpm

I think that the concordance review is under enough eyes, currently. 
Do you want that I have a look at another review?
Comment 5 Nigel Jones 2008-04-27 17:34:06 EDT
Sorry for the delays, I'll formalize the review later today but....

At the moment it looks really good! http://koji.fedoraproject.org/koji/taskinfo?taskID=585137 so unless I 
find anything mysteriously wrong with it, it'll be an approved :)
Comment 6 Nigel Jones 2008-05-02 22:41:29 EDT
Sorry for the delays (again)

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: F-8/noarch
 [x] Rpmlint output:
source RPM: empty
binary RPM: html2ps.noarch: E: explicit-lib-dependency libpaper
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.


=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/noarch (koji)
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:devel/noarch
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane

================
*** APPROVED ***
================
Comment 7 Patrice Dumas 2008-05-03 07:25:57 EDT
New Package CVS Request
=======================
Package Name: html2ps
Short Description: HTML to PostScript converter
Owners: pertusus
Branches: F-8 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 8 Patrice Dumas 2008-05-03 07:26:36 EDT
Thanks for the review!
Comment 9 Nigel Jones 2008-05-03 07:59:30 EDT
(In reply to comment #8)
> Thanks for the review!
No problem!

(In reply to comment #7)
> Branches: F-8 EL-5
Don't forget F-9 :)
Comment 10 Patrice Dumas 2008-05-03 08:42:32 EDT
OOps. Added F-9 

New Package CVS Request
=======================
Package Name: html2ps
Short Description: HTML to PostScript converter
Owners: pertusus
Branches: F-8 F-9 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-05-03 23:34:26 EDT
cvs done. 
Comment 12 Fedora Update System 2008-05-12 11:06:40 EDT
html2ps-1.0-0.1.b5.fc8 has been submitted as an update for Fedora 8
Comment 13 Fedora Update System 2008-05-12 11:07:26 EDT
html2ps-1.0-0.1.b5.fc9 has been submitted as an update for Fedora 9
Comment 14 Fedora Update System 2008-05-28 22:37:31 EDT
html2ps-1.0-0.1.b5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-05-28 22:51:41 EDT
html2ps-1.0-0.1.b5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Petr Pisar 2010-09-05 06:45:20 EDT
Package Change Request
======================
Package Name: html2ps
New Branches: el6
Owners: tremble ppisar
Comment 17 Kevin Fenzi 2010-09-05 13:33:25 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.